#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	An easy to use logging library
Summary(pl.UTF-8):	Łatwa w użyciu biblioteka obsługująca logowanie
Name:		liblogging
Version:	1.0.5
Release:	2
License:	Simplified BSD License
Group:		Libraries
Source0:	http://download.rsyslog.com/liblogging/%{name}-%{version}.tar.gz
# Source0-md5:	44b8ce2daa1bfb84c9feaf42f9925fd7
URL:		http://www.liblogging.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblogging offers an enhanced replacement for the syslog() call, but
retains its ease of use. In a nutshell, it permits sytem
administrators to direct application log output to different
destinations without requiring the app developer to do any work for
this.

%description -l pl.UTF-8
Biblioteka Liblogging oferuje ulepszoną funkcję syslog() zachowując
łatwość jej używania. W skrócie: pozwala administratorowi systemu
przekierować log aplikacji do innego miejsca bez potrzeby dokonywania
zmian w danej aplikacji.

%package devel
Summary:	Header files for libestr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libestr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libestr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libestr.

%package static
Summary:	Static libestr library
Summary(pl.UTF-8):	Statyczna biblioteka libestr
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libestr library.

%description static -l pl.UTF-8
Statyczna biblioteka libestr.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-journal \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/stdlogctl
%attr(755,root,root) %{_libdir}/liblogging-stdlog.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblogging-stdlog.so.0
%{_mandir}/man1/stdlogctl.1*

%files devel
%defattr(644,root,root,755)
%{_libdir}/liblogging-stdlog.so
%{_libdir}/liblogging-stdlog.la
%dir %{_includedir}/liblogging
%{_includedir}/liblogging/stdlog.h
%{_pkgconfigdir}/liblogging-stdlog.pc
%{_mandir}/man3/stdlog.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liblogging-stdlog.a
%endif
%changelog
* Mon Apr 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/liblogging.git;a=log;h=master

* Mon Apr 27 2015 Marcin Krol <hawk@tld-linux.org> ce95860
- missing %dir

* Mon Apr 27 2015 Marcin Krol <hawk@tld-linux.org> ddaa5cf
- new spec

